@import url('https://fonts.googleapis.com/css2?family=Fira+Code&family=Heebo&display=swap');

:root {
  --main-bg-color: hsla(0, 0%, 90%, 1);
  --secondary-bg-color: hsl(0, 0%, 90%);
  --main-font-color: hsla(0, 0%, 0%, 0.95);
  --note-hue: 234;
  --note-saturation: 50%;
  --info-hue: 120;
  --info-saturation: 50%;
  --main-body-font: "Heebo", sans-serif;
  --main-code-font: "Fira Code", monospace;
  font-size: 62.5%;
}

html {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

*,
*:before,
*:after {
  -webkit-box-sizing: inherit;
  -moz-box-sizing: inherit;
  box-sizing: inherit;
}

body {
  font-family: var(--main-body-font);
  font-size: 1.4rem;
  line-height: 1.4;
  color: var(--main-font-color);
  display: grid;
  grid-template:
    "nav body"
    "nav footer";
  grid-template-columns: 26rem 1fr;
}

a {
  text-decoration: none;
  color: hsl(210, 84%, 42%);
}

a:visited {
  color: hsl(210, 84%, 62%);
}

a:hover {
  color: hsl(210, 84%, 22%);
}

nav {
  grid-area: nav;
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 26rem;
  display: flex;
  flex-flow: column;
  background-color: var(--main-bg-color);
}

ul {
  margin: 0;
  margin-top: 0
}

nav header {
  padding: 2rem 2rem 0 2rem;
}

nav h1 {
  font-size: 3.2rem;
}

nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

nav li {
  display: block;
}

nav a {
  display: block;
  font-size: 1.8rem;
  padding: 2rem;
  transition: all .25s;
}

nav a:hover {
  background-color: white;
}

button#hamburger-nav {
  background: none;
  border: none;
  font-size: 3.2rem;
  cursor: pointer;
  font-weight: bold;
  padding: 0 2rem 0 0;
  display: none;
}

@media screen and (max-width: 800px) {
  body {
    grid-template-areas: "nav"
                         "body"
                         "footer";
    grid-template-columns: 100%;
  }

  button#hamburger-nav {
    display: inline;
  }

  nav {
    width: auto;
    position: sticky;
    box-shadow:
    0.125rem 0.25rem 0.25rem rgba(0, 0, 0, .125),
    0.25rem 0.5rem 0.5rem rgba(0, 0, 0, .25),
    0.5rem 1rem 1rem rgba(0, 0, 0, 0.5);
  }

  nav header {
    display: flex;
  }

  nav ul {
    position: relative;
    top: -1rem;
  }

  nav a {
    padding-top: .75rem;
    padding-bottom: .75rem;
    padding-left: 7rem;
  }

  .nav-menu {
    display: none;
  }

  .open {
    display: block;
  }

  .menu-closed {
    padding-bottom: 2rem;
  }
}

main {
  grid-area: body;
  flex: 1;
  padding: 2rem;
}

section::after {
  content: " ";
  display: block;
  margin-top: 4rem;
  margin-bottom: 4rem;
  height: 1px;
  background: var(--main-bg-color);
}

code {
  font-family: var(--main-code-font);
  background-color: hsla(0, 0%, 0%, .075);
  border-radius: .5rem;
}

pre {
  width: calc(100% - 2rem);
  padding: 2rem;
  overflow-x: auto;
  margin: 0 auto 2.5rem auto;
  border: 1px solid var(--main-bg-color);
  border-radius: .5rem;
}

pre code {
  white-space: pre-wrap;
  background-color: transparent;
}

pre.terminal {
  background-color: hsl(0, 0%, 95%);
  box-shadow:
    inset 0.125rem 0.25rem 0.25rem rgba(0, 0, 0, .075),
    inset 0.25rem 0.5rem 0.5rem rgba(0, 0, 0, .15),
    inset 0.5rem 1rem 1rem rgba(0, 0, 0, 0.3);
}

pre.javascript {
  background-color: #212121;
  border-color: #212121;
  color: hsl(90, 100%, 50%);
  box-shadow:
    0.125rem 0.25rem 0.25rem rgba(0, 0, 0, .125),
    0.25rem 0.5rem 0.5rem rgba(0, 0, 0, .25),
    0.5rem 1rem 1rem rgba(0, 0, 0, 0.5);
}

pre.javascript .code-definition {
  color: #E100FF;

}

.box {
  border-width: 1px;
  border-style: solid;
  border-color: black;
  margin: 2rem 3rem;
  padding: 1rem;
  font-size: 90%;
}

.box p:first-child {
  margin-top: 0;
}

.box p:last-child {
  margin-bottom: 0;
}

.box-info {
  border-color: hsl(var(--info-hue), var(--info-saturation), 50%);
  background-color: hsl(var(--info-hue), var(--info-saturation), 95%);
  color: hsl(var(--info-hue), var(--info-saturation), 20%);
}

.box-note {
  border-color: hsl(var(--note-hue), var(--note-saturation), 50%);
  background-color: hsl(var(--note-hue), var(--note-saturation), 95%);
  color: hsl(var(--note-hue), var(--note-saturation), 20%);
}

.example-title {
  margin-bottom: .8rem;
  margin-top: 2.4rem;
}

.example-title::before {
  content: "=> ";
  font-family: var(--main-code-font);
}

.license {
  grid-area: footer;
  padding: 0 2rem;
  font-size: 90%;
}

#fcc_test_suite_wrapper {
  grid-area: footer;
}